﻿using System;
using System.Runtime.InteropServices;

namespace CIS
{
    class InterfaceMiniImpressoraCIS
    {   
        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ConfiguraTaxaSerial(int dwTaxa);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_IniciaPorta(string pszPorta);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_FechaPorta();

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeTexto(string szTexto);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeTextoTag(string szTextoTag);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_AcionaGuilhotina(int tipo);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ComandoTX(string szComandoESCPOS, int iTamanho);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_Le_Status();

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_Le_Status_Gaveta();

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_LinhasGuilhotina(string szQtdeLinhas);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ConfigurarGuilhotina(int iHabilita, int qtdeLinhas);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_StatusGuilhotina();

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ModoGaveta(int iModo);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ConfiguraCodigoBarras(int iAltura, int iLargura, int iHRI, int iFonte, int iMargem);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasCODABAR(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasCODE128(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasCODE128C(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasCODE39(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasCODE93(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasEAN13(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasEAN8(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasITF(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasUPCA(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasUPCE(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_AcionaGaveta();

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_FormataTX(string szTexto, int iTipoLetra, int iItalico, int iSublinhado, int iExpandido, int iEnfatzado);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasPDF417(string szBarcode);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeCodigoBarrasQRCODE(int iRestauracao, int iModulo, int iTipo, int iVersao, int iModo, string szCodigo);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_GerarQRCodeArquivo(string szNomeArquivoDestino, string szDados);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeBitmap(string szPathArquivo);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_LeModelo([MarshalAs(UnmanagedType.VBByRefStr)] ref string pszModelo);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_LeVersaoFirmware([MarshalAs(UnmanagedType.VBByRefStr)] ref string pszVersao);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_LeDataVersaoFirmware([MarshalAs(UnmanagedType.VBByRefStr)] ref string pszData);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeSAT(string szPathArquivoXML, string szTipo);

        [DllImport("miniImpressorasCIS.dll")]
        public static extern int CIS_ImprimeSAT_Cancelamento(string szPathArquivoXML, string szQRCodeVenda, string szModoProducao);
      }
}
